Skip to main content
GET
/
api
/
v2
/
tokens
List access tokens
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/tokens \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_id": "61095542756dba551110ae21",
      "ownerId": "569f514156e003339cfd3917",
      "memberId": "569f514183f2164430000002",
      "creationDate": "1628001602644",
      "lastModified": "1628001602644",
      "_links": {
        "parent": {
          "href": "/api/v2/tokens",
          "type": "application/json"
        },
        "self": {
          "href": "/api/v2/tokens/61095542756dba551110ae21",
          "type": "application/json"
        }
      },
      "_member": {
        "_links": {
          "self": {
            "href": "/api/v2/members/569f183514f4432160000007",
            "type": "application/json"
          }
        },
        "_id": "569f183514f4432160000007",
        "role": "admin",
        "email": "ariel@acme.com",
        "firstName": "Ariel",
        "lastName": "Flores"
      },
      "name": "Example reader token",
      "description": "A reader token used in testing and examples",
      "customRoleIds": [],
      "inlineRole": [],
      "role": "reader",
      "token": "1234",
      "serviceToken": false,
      "defaultApiVersion": 20240415,
      "lastUsed": "0"
    }
  ],
  "_links": {},
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

showAll
boolean

If set to true, and the authentication access token has the 'Admin' role, personal access tokens for all members will be retrieved.

limit
integer<int64>

The number of access tokens to return in the response. Defaults to 25.

offset
integer<int64>

Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Access tokens collection response

items
object[]

An array of access tokens

totalCount
integer

The number of access tokens returned